<?php

declare(strict_types=1);

namespace OCA\WalkThroughJS\AppInfo;
use OCP\AppFramework\App;
use OCP\AppFramework\Bootstrap\IBootContext;
use OCP\AppFramework\Bootstrap\IBootstrap;
use OCP\AppFramework\Bootstrap\IRegistrationContext;
use \OCA\walkthroughjs\Service\ConfigService;
use OCP\IUserSession;

class Application extends App implements IBootstrap {

    private $appConfig;

    public function __construct() {
        parent::__construct('walkthroughjs');
    }

    public function register(IRegistrationContext $context): void {
	}


    public function boot(IBootContext $context): void {
		$context->injectFn([$this, 'inject']);
	}

    public function inject(IUserSession $userSession, ConfigService $appConfig) {
        $loggedUser = $userSession->getUser();
        if ($loggedUser !== null) {
            if ($status = $appConfig->getStatus($loggedUser->getUID(), 'status') != 0){
                \OCP\Util::addScript('walkthroughjs', 'intro.min');
                \OCP\Util::addStyle('walkthroughjs',  'introjs.min');
                \OCP\Util::addScript('walkthroughjs', 'lib');
                \OCP\Util::addScript('walkthroughjs', 'intro');
            }
        }
    }
}
