<?php

namespace OCA\walkthroughjs\Controller;

use \OCP\AppFramework\Controller;
use \OCP\AppFramework\Http\TemplateResponse;
use \OCP\IRequest;
use \OCP\INavigationManager;
use \OCA\walkthroughjs\Service\ConfigService;

class SettingsController extends Controller {

	private $userId;
	private $appConfig;
	private $navigationManager;

	public function __construct($appName, IRequest $request, ConfigService $appConfig, INavigationManager $urlGenerator, $userId) {
		parent::__construct($appName, $request);
		$this->userId = $userId;
		$this->appConfig = $appConfig;
		$this->navigationManager = $urlGenerator;
	}

	/**
	 * Save status for current user
	 *
	 * @NoAdminRequired
	 * @param $status int
	 * @return array response
	 */
	public function setStatus(int $status) {
		$this->appConfig->setStatus($this->userId, $status);
		$response = array(
			'status' => 'success',
			'data' => array('message' => 'User walkthrough status saved successfully.')
		);
		return $response;
	}
}