<?php
namespace OCA\walkthroughjs\Settings;

use OCP\AppFramework\Http\TemplateResponse;
use OCP\IConfig;
use OCP\Settings\ISettings;
use \OCA\walkthroughjs\Service\ConfigService;

class Personal implements ISettings {
    private $userId;
    private $appConfig;
    private $config;

    public function __construct(ConfigService $appConfig, $userId) {
        $this->userId = $userId;
        $this->appConfig = $appConfig;
    }

    public function getForm() {
        $parameters = [
            'status' => $this->appConfig->getStatus($this->userId),
        ];

        return new TemplateResponse('walkthroughjs', 'settings', $parameters, '');
    }

    public function getSection() {
        return 'walkthroughjs';
    }

    public function getPriority() {
        return 10;
    }
}